Bug 350161 - TAHI--Can not observe an Echo Reply packet
TAHI--Can not observe an Echo Reply packet
Status: CLOSED DUPLICATE of bug 253278
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
i686 Linux
medium Severity medium
: rc
: ---
Assigned To: Thomas Graf
Martin Jenner
:
Depends On:
Blocks: 253764
  Show dependency treegraph
 
Reported: 2007-10-24 05:16 EDT by Zhiyong Wu
Modified: 2014-06-18 04:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 14:27:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhiyong Wu 2007-10-24 05:16:39 EDT
Description of problem:
  
  we have a test about "Redirected On-link: Invalid (Target Address is 

Multicast)" in order to verify that a host properly processes invalid Redirect 

messages when redirected on-link. But the destination field of the recieved Echo 

Reply packet is not right.

Version-Release number of selected component (if applicable):

  kernel-2.6.18-43.el5

Software Environment:   
  
  Testee(NUT):   
    RHEL5 
    Kernel:2.6.18-43.el5 
   
  Tester(TN):   
    FreeBSD6.2 
   
How reproducible:

  every time

Steps to Reproduce:

  1. Configure TAHI test environment.     
  2. Run the TAHI test suite     
  3. After the test completes, check for the results
  
Actual results:

  TN can not observe corresponding packets from NUT.

Expected results:

  TN can observe corresponding packets from NUT.

Additional info:
 
For more information,please refer to

(1) 186	Part G: Target Address is Multicast

in

http://focus.brisbane.redhat.com/~zwu/CoreProtocol/20071024/Self_Test_1-4-8_p2_host/nd.p2/index.html
Comment 1 Lawrence Lim 2007-10-24 10:20:54 EDT
Can u pls update the bug summary?
Comment 2 Zhiyong Wu 2007-10-25 22:20:22 EDT
Also about echo replay packet:

when NUT is set to the router mode,

pls refer to the url below:

http://focus.brisbane.redhat.com/~zwu/CoreProtocol_router/20071025/Self_Test_1-4-8_p2_router/pmtu.p2/index.html

(1) 14	Multicast Destination - One Router

(2) 15	Multicast Destination - Two Routers
Comment 3 Zhiyong Wu 2007-10-25 22:42:23 EDT
Also about echo replay packet:

when NUT is set to the host mode,

pls refer to the url below:

(1) 15	Multicast Destination - One Router

(2) 16	Multicast Destination - Two Routers
Comment 4 Zhiyong Wu 2007-10-25 22:43:41 EDT
Also about echo replay packet:

when NUT is set to the host mode,

pls refer to the url below:

http://focus.brisbane.redhat.com/~zwu/CoreProtocol_host/20071024/Self_Test_1-4-8_p2_host/pmtu.p2/index.html

(1) 15	Multicast Destination - One Router

(2) 16	Multicast Destination - Two Routers
Comment 10 Zhiyong Wu 2008-01-11 00:33:31 EST
Good, the new kernel(kernel-2.6.18-64.el5.bz350161.1.i686) has fixed the bug,
but not fixed RH0 issues.
Comment 11 Zhiyong Wu 2008-01-11 00:42:14 EST
For more information, Test 206 in (1.4.9) is Test 197 in (Self_Test_1-5-0b2). I
used run Self_Test_1-5-0b2, and Test 197 Pass.
Comment 13 Thomas Graf 2008-01-11 04:00:17 EST
Thanks.

The kernel image did not include any RH0 related fixes. I want to test them
separately.

Note You need to log in before you can comment on or make changes to this bug.